Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class AsyncMessageProcessorsFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.AsyncMessageProcessorsFactoryBean

All Implemented Interfaces:
  MuleContextAware, NamedObject, org.springframework.beans.factory.FactoryBean

    public class AsyncMessageProcessorsFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean, MuleContextAware, NamedObject

Field Summary
`protected List` | `messageProcessors`
`protected MuleContext` | `muleContext`
`protected String` | `name`
`protected ThreadingProfile` | `threadingProfile`

Constructor Summary
`AsyncMessageProcessorsFactoryBean()`

Method Summary
`String` | `getName()` Gets the name of the object
`Object` | `getObject()`
`Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setMessageProcessors(List messageProcessors)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setName(String name)` Sets the name of the object
`void` | `setThreadingProfile(ThreadingProfile threadingProfile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### muleContext

    protected MuleContext muleContext

### messageProcessors

    protected List messageProcessors

### threadingProfile

    protected ThreadingProfile threadingProfile

### name

    protected String name

Constructor Detail

### AsyncMessageProcessorsFactoryBean

    public AsyncMessageProcessorsFactoryBean()

Method Detail

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### setThreadingProfile

    public void setThreadingProfile(ThreadingProfile threadingProfile)

### setMessageProcessors

    public void setMessageProcessors(List messageProcessors)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getName

    public String getName()

  Description copied from interface: `NamedObject`
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public void setName(String name)

  Description copied from interface: `NamedObject`
  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.